<template>
    <div>
        <div class="text-gray-600 font-medium text-xs flex items-center mb-2">
            <span>{{ post.user.name }} shared this post</span>
        </div>

        <component
            :is="`app-post-variant-${post.original_post.type}`"
            :post="post.original_post"
        />
    </div>
</template>
<script>
export default {
    props: {
        post: {
            required: true,
            type: Object,
        }
    }  
}
</script>